#ifndef SCT_CALIBRATIONCONTROL_MARKSPACERATIOCONFIGUPDATER_H
#define SCT_CALIBRATIONCONTROL_MARKSPACERATIOCONFIGUPDATER_H

#include "ConfigUpdater.h"

namespace SctCalibrationController {

/**
 * sets ths mark:space ratio on the BOC to the optimum value given by the testresult
 */
class MarkSpaceRatioConfigUpdater : public ConfigUpdater{
public:
    virtual void update(const SctData::TestResult& t, Sct_SctApi::SctApiIPC_ptr api) const;
private:
    MarkSpaceRatioConfigUpdater() {;}
    static bool inMap;
};
}

#endif //SCT_CALIBRATIONCONTROL_MARKSPACERATIOCONFIGUPDATER_H
