#ifndef SCT_EXTRA_SCANS
#define SCT_EXTRA_SCANS

//AJB noticed that this has been added to the AbcdScans.h with a DIFFERENT value of 39 
//#define ST_FEEDTHROUGH    16  /* accumulate  */

/*******************************************************************
 * These are read by genScanDescriptors.pl in SCT/ so anything but *
 * simple integer literals don't work...                           *
 *******************************************************************/

// BOC Global scans
#define SCT_SCAN_BOC_BPM_PHASE    200
#define SCT_SCAN_BOC_BREG_PHASE   201
#define SCT_SCAN_BOC_V0_PHASE     202         // Vernier 0
#define SCT_SCAN_BOC_V1_PHASE     203         // Vernier 1
#define SCT_SCAN_BOC_VRN_FINE     204         // Vernier fine
#define SCT_SCAN_BOC_V_PHASES     205         // Vernier 0 and 1

// BOC channel scans
#define SCT_SCAN_TX_CHANNELS      350         // 0 turns on module in channel 0, 1 turns on 1 etc.
#define SCT_SCAN_RAW_TX_CHANNELS  351         // 0 turns on channel 0, 1 turns on 1 etc.

#define SCT_TIM_PRE_TRIGGER_DELAY 501         // Delay between TIM NIM trigger input and trigger
#define SCT_TIM_CLOCK_DELAY 502               // Delay between ext clock and clock -> ROD in 0.5 ns steps.

#endif
