
#include "IdiosyncrasyServer.h"
#include "Sct/OmniMarshalling.h"

SctApi::IdiosyncrasyServer::IdiosyncrasyServer(const SctApi::Idiosyncrasy & id) :
  m_id(id) {
};

Sct::Corba::UCID SctApi::IdiosyncrasyServer::ucid() {
  return Sct::copyUCIDToCorba( m_id.ucid() ); 
}; 

char* SctApi::IdiosyncrasyServer::uniqueName() {
  return Sct::copyStringToCorba( m_id.uniqueName() ); 
}; 

char* SctApi::IdiosyncrasyServer::infoServiceNameOfScanStatusObject() {
  return Sct::copyStringToCorba( m_id.infoServiceNameOfScanStatusObject() ); 
}; 

char* SctApi::IdiosyncrasyServer::ipcNameOfSctApiCrateServer() {
  return Sct::copyStringToCorba( m_id.ipcNameOfSctApiCrateServer() );
};
