

#include "RODTriggerTranslation.h"
#include "Sct_SctApi/SctApi.hh" // for Sct_SctApi::RODTriggers

::SctApi::Trigger::RODTrigger copyCorbaToRODTrigger(const Sct_SctApi::RODTrigger & corbaRODTrigger) {
  return ::SctApi::Trigger::RODTrigger(corbaRODTrigger.first,
				       corbaRODTrigger.second);
};

::SctApi::Trigger::RODTriggers copyCorbaToRODTriggers(const Sct_SctApi::RODTriggers * corbaRODTriggers) {
  ::SctApi::Trigger::RODTriggers ans;
  for(unsigned int i=0; i<corbaRODTriggers->length(); ++i) {
    const Sct_SctApi::RODTrigger corbaRODTrigger = (*corbaRODTriggers)[i];
    const ::SctApi::Trigger::RODTrigger rodTrig = copyCorbaToRODTrigger(corbaRODTrigger);
    ans.push_back(rodTrig);
  };

  return ans;
};
