
#ifndef SCT_SCANSTATUSMANAGER_H
#define SCT_SCANSTATUSMANAGER_H

#include <list>
#include "Sct_SctApi/SctApi.hh"
#include "boost/thread.hpp"

namespace Sct {

  class ScanStatusManager {
  public:
    typedef Sct_SctApi::CrateIPC_var CC;
  public:
    void monitorThisScanner(CC & cc);
  public:
    void removeCompleteScanners();
  public:
    bool scannersHaveFinished();
  private:
    typedef std::list<CC> CCS;
    CCS m_ccs;
    boost::recursive_mutex m_mutex;
  };

};

#endif
