// A more advanced "example", used to develop the 
// double trigger noise test

SI = GuiComponents.System.SystemInterface.getInstance();

api = SI.getSctApi();

sdesc = Sct.ScanDescriptors.getInstance();
api.initialiseAll(1);
api.modifyABCDVar(sdesc.valueFor("ST_COMPRESSION"), 1.0);
api.modifyABCDVar(sdesc.valueFor("ST_EDGE_DETECT"), 0.0);
api.modifyABCDVar(sdesc.valueFor("ST_SEND_MASK"), 1.0);
api.setDebugOption("save_prim");

scan = api.createScan();
scan.setOption(Sct_SctApi.ScanPackage.ScanOptions.distSlave, 1);
scan.setOption(Sct_SctApi.ScanPackage.ScanOptions.nth, 0);
scan.setNTrigs(100);

trigger = scan.getTrigger1();
trigger.singleL1A();

scan.configure((short)sdesc.valueFor("ST_NMASK"), 0, 128, 1.0);

// The second trigger
api.doScan(scan);

