#include "ChipCounterSummaryWriter.h"
#include "SctData/ChipCounterTestResult.h"
#include "SummaryManager.h"
#include <iomanip>

namespace SctData {
    namespace TestSummary{
	void ChipCounterSummaryWriter::write(const TestResult& t, std::ostream& out) const throw(Sct::IoError, Sct::LogicError)
	  {
	    out << "#\n%ChipCounterTest\n#\n";
	     SummaryWriter::write(t.getDefects(), out);
	  }

	bool ChipCounterSummaryWriter::inMap = SummaryManager::instance().addWriter("SctData::ChipCounterTestResult", shared_ptr<SummaryWriter>(new ChipCounterSummaryWriter()));
    }
}
