package webscripts;
// getDBfiles.java
// @Author Dave Robinson
//
// 21052003 Introduce controlFlag - bit 1 set means create upload files but don't upload
//                                  bit 2 set means don't show gui and immediately create upload files


import java.io.*;
import java.util.*;
import java.sql.*;
import ProdDatabase.*;

public class oxfordScripts {
	
public static void getLocationMap() throws Exception {

       Map m = new HashMap();
       StringBuffer sqlStat = new StringBuffer("SELECT tests.ser_no,tests.locn_name FROM tests,sct_tstdcsinfo,sct_tstdaqinfo WHERE");
       sqlStat.append(" (tests.test_name='Hyb3PGain' OR tests.test_name='HybRC') AND tests.locn_name NOT LIKE 'Oxford'");
       sqlStat.append(" AND tests.ser_no IN (SELECT ser_no FROM tests WHERE locn_name='Oxford' AND test_name='HybRC')");
       sqlStat.append(" AND sct_tstdcsinfo.t0 > 10 AND sct_tstdaqinfo.version NOT LIKE 'SctRodDaq%'");
       sqlStat.append(" AND sct_tstdcsinfo.test_no=tests.test_no AND sct_tstdaqinfo.test_no=tests.test_no");
       sqlStat.append(" ORDER BY tests.test_date,tests.test_no");

//      System.out.println(sqlStat.toString());
       Statement statement = SCTDBInterface.getInstance().connection.createStatement();
       ResultSet resultSet = statement.executeQuery(sqlStat.toString());
       int recordCount=0;

       for(boolean n = resultSet.next() ; n==true ; n=resultSet.next() ){
          String sn = resultSet.getString(1);
          String locn = resultSet.getString(2);
          if(m.containsKey(sn)) continue;
          recordCount++;
          m.put(sn,locn);
	  System.out.println(sn+":"+locn);
          }
      statement.close();
      }
}

