#ifndef SCT_ARCHIVING_DB_IONAMEFILE_H
#define SCT_ARCHIVING_DB_IONAMEFILE_H

#include "Sct/IOName.h"
#include <string>

namespace SctArchiving {

class IONameDB : public Sct::IOName {
public:
    IONameDB(const std::string& name) throw(Sct::InvalidArgument);
    IONameDB(const Sct::UniqueID& uniqueID, const std::string& className) throw();    
    virtual ~IONameDB() throw();
    
protected:
    IONameDB();
    virtual void parse() throw(Sct::InvalidArgument);
    virtual void construct() throw();
};
}

#endif
