#include <boost/test/unit_test.hpp>
#include "IS_Streamer_Test.h"
#include "ipc/core.h"

using boost::unit_test_framework::test_suite;
using namespace SctCalibrationController;

test_suite* init_unit_test_suite(int argc, char * argv[]) {
    IPCCore::init(argc,argv);
    std::auto_ptr<test_suite> test(BOOST_TEST_SUITE("Test package SctCalibrationController"));

    test->add(new IS_Streamer_Test());

    return test.release();
}
