#ifndef CHIPCOUNTERTESTRESULT_H
#define CHIPCOUNTERTESTRESULT_H

#include "TestResult.h"
#include "Sct/RangedVector.h"

namespace SctData{
  /**
     The class represents the result of a ChipCounter test.	
     @author Bilge Demirkoz
  */
  class ChipCounterTestResult : public TestResult {
  public:
    ChipCounterTestResult() throw();
	
    /**
       Constructor.
    */
    ChipCounterTestResult(unsigned int runNumber, const string& moduleName) throw();
	
    /**
       Destructor
    */
    virtual ~ChipCounterTestResult() throw();
	
    //Override
    virtual string getClassName() const throw();

  private:
    
  };
}// end of namespace SctData
#endif 
