#include "PipelineTestResult.h"
#include "NullVariable.h"
#include "DefaultVariable.h"
#include <Sct/AbcdScans.h>

///@todo check that ST_COMPRESSION is really the right variable!

namespace SctData{
    PipelineTestResult::PipelineTestResult() throw() {}
    
    PipelineTestResult::PipelineTestResult(unsigned int runNumber, const string& moduleName) throw()
	: TestResult(runNumber, moduleName, NullVariable::instance(), 
		     *DefaultVariable::instance(ST_COMPRESSION))
    {}
    
    PipelineTestResult::~PipelineTestResult() throw() {}

    string PipelineTestResult::getClassName() const throw(){
	return string("SctData::PipelineTestResult");
    }
}
