#ifndef SCTDATADISPLAY_OPEDISPLAY_H
#define SCTDATADISPLAY_OPEDISPLAY_H

#include "Displayer.h"
#include "DisplayInfo.h"

namespace SctDataDisplay {
  /* Displays the result of the OPEAnalysis. It is attached to the test result of NoiseOccupancy only for now. */

class OpeDisplayData;

class OpeDisplayer : public Displayer { 
 public:
  shared_ptr<DisplayData> display(shared_ptr<const Sct::Serializable> serial, const DisplayInfo& info, std::ostream& os);

 private:
  static bool inMap;
  void displayChips(OpeDisplayData& data, const DisplayInfo& info, std::ostream& os);
};
}


#endif //SCTDATADISPLAY_OPEDISPLAY_H


