#ifndef CDIHANDLE_H
#define CDIHANDLE_H

// CDI specific includes
#include "cdiAux.h"

// std includes
#include <vector>
#include <map>

// IS includes
#include <is/info.h>
#include <is/infodocument.h>
#include <is/infodictionary.h>
#include <is/inforeceiver.h>


class cdiHandle{

 public:
  //  static const std::string configuration_name;
  //  virtual std::string getConfName() = 0;

  virtual void getConfig ( std::vector<std::string> & names ) = 0;  
  virtual void process_data ( const std::string & name, ISCallbackInfo * isc ) = 0;

  virtual void storeObject ( const std::string& name, ISInfoAny &isa) = 0;

  virtual std::string getProfile ( ) = 0;
  virtual void init ( const std::string & profile ) = 0; 
  virtual void create_folder ( const std::string & name, ISInfoAny & isa ) = 0;
  
  virtual ~cdiHandle() {} ;

 protected:
  /*
    IPCPartition	partition;
    cdiAux       	mout;
  */
  
};

#endif 
