#/usr/bin/env perl

### test 1 for the CondDB

#unless (@ARGV == 2) { die "sintax: $0 partition_number run_number" }
#($partition_number, $run_number) = @ARGV;

#$partition = "my_partition_$partition_number";
#$partition = "part_localhost";
$partition = "be_test";

$SIG{INT} = \&clean_servers;
my @kill_pidlist;

#launch IPC partition server

$kill_counter = 0;

#launch the default ipc server
$ipc_server = fork;
if (!$ipc_server) {
   exec "ipc_server";
   exit;
}
$kill_pidlist[$kill_counter] = $ipc_server;
$kill_counter++;

sleep 2;


$ipc_partition_server = fork;
if (!$ipc_partition_server) {
   exec "ipc_server -p $partition";
   exit;
}
$kill_pidlist[$kill_counter] = $ipc_partition_server;
$kill_counter++;

sleep 2;

#launch the MRS server

# nbarros
#$mrs_server = fork;
#if (!$mrs_server) {
#   exec "mrs_server -p $partition";
#   exit;
#}
#$kill_pidlist[$kill_counter] = $mrs_server;
#$kill_counter++;

#launch the IS server

$is_server = fork;
if (!$is_server) {
   exec "is_server -p $partition -n RunParams"; #my_is_server";
   exit;
}
$kill_pidlist[$kill_counter] = $is_server;
$kill_counter++;

sleep 2;

#start the obk

$obk_pid = fork;
if (!$obk_pid) {
#   exec "obk_daq_my -p $partition -n my_is_server -I \".*\"";
    exec "cdi_daq -p $partition -B 0 -v 3";# my_is_server -I \".*\"";

   exit;
}
$kill_pidlist[$kill_counter] = $obk_pid;
$kill_counter++;

sleep 2;

#start the process to send the MRS and IS information

#system("~/tests/send_obk_data -p $partition -n my_is_server -r $run_number -i 50000");
system("cdi_test2 5000000");
#### Next tests
#system("cdi_test1 4000000");
#system("cdi_test1 3000000");
#system("cdi_test1 2000000");
#system("cdi_test1 1000000");
#system("cdi_test1 500000");
#system("cdi_test1 400000");


sleep 5;

#kill all the started servers
      
clean_servers();

sub clean_servers {
   #terminate all servers
   for ($i=0;$i<scalar(@kill_pidlist);$i++) {
	 kill 'TERM', $kill_pidlist[$i];
   }
}
